com.genesyslab.wfm7.API.service.calendar750

## Class CalFilter

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar750.CalFilter

- All Implemented Interfaces:
    java.io.Serializable

      public class CalFilter
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private int[]` | `actualStatuses` Array of required Actual statuses
    `private int` | `aStatusArraySize` Actual status array size
    `private int[]` | `exceptions` Array of required Exception types
    `private int` | `exceptionsArraySize` Exception type array size
    `private int[]` | `items` Array of required items
    `private int` | `itemsArraySize` Item array size
    `private int[]` | `savedStatuses` Array of required Saved statuses
    `private int` | `sStatusArraySize` Saved status array size
    `private int` | `timeOffArraySize` Time Off type array size
    `private int[]` | `timeOffs` Array of required Time Off types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalFilter()`
    `CalFilter(int itemsArraySize, int[] items, int exceptionsArraySize, int[] exceptions, int timeOffArraySize, int[] timeOffs, int aStatusArraySize, int[] actualStatuses, int sStatusArraySize, int[] savedStatuses)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `int[]` | `getActualStatuses()` Gets the actualStatuses value for this CalFilter.
    `int` | `getAStatusArraySize()` Gets the aStatusArraySize value for this CalFilter.
    `int[]` | `getExceptions()` Gets the exceptions value for this CalFilter.
    `int` | `getExceptionsArraySize()` Gets the exceptionsArraySize value for this CalFilter.
    `int[]` | `getItems()` Gets the items value for this CalFilter.
    `int` | `getItemsArraySize()` Gets the itemsArraySize value for this CalFilter.
    `int[]` | `getSavedStatuses()` Gets the savedStatuses value for this CalFilter.
    `int` | `getSStatusArraySize()` Gets the sStatusArraySize value for this CalFilter.
    `int` | `getTimeOffArraySize()` Gets the timeOffArraySize value for this CalFilter.
    `int[]` | `getTimeOffs()` Gets the timeOffs value for this CalFilter.
    `int` | `hashCode()`
    `void` | `setActualStatuses(int[] actualStatuses)` Sets the actualStatuses value for this CalFilter.
    `void` | `setAStatusArraySize(int aStatusArraySize)` Sets the aStatusArraySize value for this CalFilter.
    `void` | `setExceptions(int[] exceptions)` Sets the exceptions value for this CalFilter.
    `void` | `setExceptionsArraySize(int exceptionsArraySize)` Sets the exceptionsArraySize value for this CalFilter.
    `void` | `setItems(int[] items)` Sets the items value for this CalFilter.
    `void` | `setItemsArraySize(int itemsArraySize)` Sets the itemsArraySize value for this CalFilter.
    `void` | `setSavedStatuses(int[] savedStatuses)` Sets the savedStatuses value for this CalFilter.
    `void` | `setSStatusArraySize(int sStatusArraySize)` Sets the sStatusArraySize value for this CalFilter.
    `void` | `setTimeOffArraySize(int timeOffArraySize)` Sets the timeOffArraySize value for this CalFilter.
    `void` | `setTimeOffs(int[] timeOffs)` Sets the timeOffs value for this CalFilter.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### itemsArraySize

          private int itemsArraySize

      Item array size

    - #### items

          private int[] items

      Array of required items

    - #### exceptionsArraySize

          private int exceptionsArraySize

      Exception type array size

    - #### exceptions

          private int[] exceptions

      Array of required Exception types

    - #### timeOffArraySize

          private int timeOffArraySize

      Time Off type array size

    - #### timeOffs

          private int[] timeOffs

      Array of required Time Off types

    - #### aStatusArraySize

          private int aStatusArraySize

      Actual status array size

    - #### actualStatuses

          private int[] actualStatuses

      Array of required Actual statuses

    - #### sStatusArraySize

          private int sStatusArraySize

      Saved status array size

    - #### savedStatuses

          private int[] savedStatuses

      Array of required Saved statuses

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalFilter

          public CalFilter()

    - #### CalFilter

          public CalFilter(int itemsArraySize,
                   int[] items,
                   int exceptionsArraySize,
                   int[] exceptions,
                   int timeOffArraySize,
                   int[] timeOffs,
                   int aStatusArraySize,
                   int[] actualStatuses,
                   int sStatusArraySize,
                   int[] savedStatuses)

  - ### Method Detail

    - #### getItemsArraySize

          public int getItemsArraySize()

      Gets the itemsArraySize value for this CalFilter.
      Returns:
        itemsArraySize Calendar item types array size

    - #### setItemsArraySize

          public void setItemsArraySize(int itemsArraySize)

      Sets the itemsArraySize value for this CalFilter.
      Parameters:
        `itemsArraySize` - Calendar item types array size

    - #### getItems

          public int[] getItems()

      Gets the items value for this CalFilter.
      Returns:
        items Calendar item types array
      See Also:
        `ECalItems`

    - #### setItems

          public void setItems(int[] items)

      Sets the items value for this CalFilter.
      Parameters:
        `items` - Calendar item types array
      See Also:
        `ECalItems`

    - #### getExceptionsArraySize

          public int getExceptionsArraySize()

      Gets the exceptionsArraySize value for this CalFilter.
      Returns:
        exceptionsArraySize Exception type identifiers array size

    - #### setExceptionsArraySize

          public void setExceptionsArraySize(int exceptionsArraySize)

      Sets the exceptionsArraySize value for this CalFilter.
      Parameters:
        `exceptionsArraySize` - Exception type identifiers array size

    - #### getExceptions

          public int[] getExceptions()

      Gets the exceptions value for this CalFilter.
      Returns:
        exceptions Exception type identifiers array

    - #### setExceptions

          public void setExceptions(int[] exceptions)

      Sets the exceptions value for this CalFilter.
      Parameters:
        `exceptions` - Exception type identifiers array

    - #### getTimeOffArraySize

          public int getTimeOffArraySize()

      Gets the timeOffArraySize value for this CalFilter.
      Returns:
        timeOffArraySize Time Off type identifiers array size

    - #### setTimeOffArraySize

          public void setTimeOffArraySize(int timeOffArraySize)

      Sets the timeOffArraySize value for this CalFilter.
      Parameters:
        `timeOffArraySize` - Time Off type identifiers array size

    - #### getTimeOffs

          public int[] getTimeOffs()

      Gets the timeOffs value for this CalFilter.
      Returns:
        timeOffs Time Off type identifiers array

    - #### setTimeOffs

          public void setTimeOffs(int[] timeOffs)

      Sets the timeOffs value for this CalFilter.
      Parameters:
        `timeOffs` - Time Off type identifiers array

    - #### getAStatusArraySize

          public int getAStatusArraySize()

      Gets the aStatusArraySize value for this CalFilter.
      Returns:
        aStatusArraySize Actual Calendar item status array size

    - #### setAStatusArraySize

          public void setAStatusArraySize(int aStatusArraySize)

      Sets the aStatusArraySize value for this CalFilter.
      Parameters:
        `aStatusArraySize` - Actual Calendar item status array size

    - #### getActualStatuses

          public int[] getActualStatuses()

      Gets the actualStatuses value for this CalFilter.
      Returns:
        actualStatuses Actual Calendar item status array
      See Also:
        `ECalActualStatuses`

    - #### setActualStatuses

          public void setActualStatuses(int[] actualStatuses)

      Sets the actualStatuses value for this CalFilter.
      Parameters:
        `actualStatuses` - Actual Calendar item status array
      See Also:
        `ECalActualStatuses`

    - #### getSStatusArraySize

          public int getSStatusArraySize()

      Gets the sStatusArraySize value for this CalFilter.
      Returns:
        sStatusArraySize Saved Calendar item status array size

    - #### setSStatusArraySize

          public void setSStatusArraySize(int sStatusArraySize)

      Sets the sStatusArraySize value for this CalFilter.
      Parameters:
        `sStatusArraySize` - Saved Calendar item status array size

    - #### getSavedStatuses

          public int[] getSavedStatuses()

      Gets the savedStatuses value for this CalFilter.
      Returns:
        savedStatuses Saved Calendar item status array
      See Also:
        `ECalSavedStatuses`

    - #### setSavedStatuses

          public void setSavedStatuses(int[] savedStatuses)

      Sets the savedStatuses value for this CalFilter.
      Parameters:
        `savedStatuses` - Saved Calendar item status array
      See Also:
        `ECalSavedStatuses`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.